
/*
 * SPDX-FileCopyrightText: syuilo and misskey-project
 * SPDX-License-Identifier: AGPL-3.0-only
 */

// This file was automatically generated by create-search-index.
// Do not edit this file.

import { i18n } from '@/i18n.js';

export type SearchIndexItem = {
	id: string;
	path?: string;
	label: string;
	keywords: string[];
	icon?: string;
	children?: SearchIndexItem[];
};

export const searchIndexes: SearchIndexItem[] = [
	{
		id: 'flXd1LC7r',
		children: [
			{
				id: 'hB11H5oul',
				label: i18n.ts.syncDeviceDarkMode,
				keywords: ['sync', 'device', 'dark', 'light', 'mode'],
			},
			{
				id: 'fDbLtIKeo',
				label: i18n.ts.themeForLightMode,
				keywords: ['light', 'theme'],
			},
			{
				id: 'CsSVILKpX',
				label: i18n.ts.themeForDarkMode,
				keywords: ['dark', 'theme'],
			},
		],
		label: i18n.ts.theme,
		keywords: ['theme'],
		path: '/settings/theme',
		icon: 'ti ti-palette',
	},
	{
		id: '6fFIRXUww',
		children: [
			{
				id: 'EcwZE7dCl',
				label: i18n.ts.notUseSound,
				keywords: ['mute'],
			},
			{
				id: '9MxYVIf7k',
				label: i18n.ts.useSoundOnlyWhenActive,
				keywords: ['active', 'mute'],
			},
			{
				id: '94afQxKat',
				label: i18n.ts.masterVolume,
				keywords: ['volume', 'master'],
			},
		],
		label: i18n.ts.sounds,
		keywords: ['sounds', i18n.ts._settings.soundsBanner],
		path: '/settings/sounds',
		icon: 'ti ti-music',
	},
	{
		id: '5BjnxMfYV',
		children: [
			{
				id: '75QPEg57v',
				children: [
					{
						id: 'CiHijRkGG',
						label: i18n.ts.changePassword,
						keywords: [],
					},
				],
				label: i18n.ts.password,
				keywords: ['password'],
			},
			{
				id: '2fa',
				children: [
					{
						id: 'qCXM0HtJ7',
						label: i18n.ts.totp,
						keywords: ['totp', 'app', i18n.ts.totpDescription],
					},
					{
						id: '3g1RePuD9',
						label: i18n.ts.securityKeyAndPasskey,
						keywords: ['security', 'key', 'passkey'],
					},
					{
						id: 'pFRud5u8k',
						label: i18n.ts.passwordLessLogin,
						keywords: ['password', 'less', 'key', 'passkey', 'login', 'signin', i18n.ts.passwordLessLoginDescription],
					},
				],
				label: i18n.ts['2fa'],
				keywords: ['2fa'],
			},
		],
		label: i18n.ts.security,
		keywords: ['security', i18n.ts._settings.securityBanner],
		path: '/settings/security',
		icon: 'ti ti-lock',
	},
	{
		id: 'w4L6myH61',
		children: [
			{
				id: 'ru8DrOn3J',
				label: i18n.ts._profile.changeBanner,
				keywords: ['banner', 'change', 'remove'],
			},
			{
				id: 'pFyrlLWG',
				label: i18n.ts._profile.changeBackground,
				keywords: ['background', 'change', 'remove'],
			},
			{
				id: 'r4l4i5uBs',
				label: i18n.ts._profile.changeAvatar,
				keywords: ['avatar', 'icon', 'change'],
			},
			{
				id: 'pV4rYx5Qz',
				label: i18n.ts._profile.name,
				keywords: ['name'],
			},
			{
				id: 'DlhEyTRwn',
				label: i18n.ts._profile.description,
				keywords: ['description', 'bio'],
			},
			{
				id: 'bz9fbbY7i',
				label: i18n.ts.location,
				keywords: ['location', 'locale'],
			},
			{
				id: '7T9VkGHB5',
				label: i18n.ts.birthday,
				keywords: ['birthday', 'birthdate', 'age'],
			},
			{
				id: 'kRQc5zZ5d',
				label: i18n.ts._profile.listenbrainz,
				keywords: ['listenbrain', 'music'],
			},
			{
				id: 'nOQYynSvN',
				label: i18n.ts.language,
				keywords: ['language', 'locale'],
			},
			{
				id: 'qTbH7eYWT',
				label: i18n.ts._profile.metadataEdit,
				keywords: ['metadata'],
			},
			{
				id: 'j3lwoPCmq',
				label: i18n.ts._profile.followedMessage,
				keywords: ['follow', 'message', i18n.ts._profile.followedMessageDescription],
			},
			{
				id: 'lsjKgWkd4',
				label: i18n.ts.reactionAcceptance,
				keywords: ['reaction'],
			},
			{
				id: 'eVoViiF3h',
				children: [
					{
						id: 'pTA3hB5UD',
						label: i18n.ts.flagSpeakAsCat,
						keywords: ['cat'],
					},
					{
						id: 'EvqfKorr5',
						label: i18n.ts.flagAsBot,
						keywords: ['bot'],
					},
				],
				label: i18n.ts.advancedSettings,
				keywords: [],
			},
		],
		label: i18n.ts.profile,
		keywords: ['profile'],
		path: '/settings/profile',
		icon: 'ti ti-user',
	},
	{
		id: '2rp9ka5Ht',
		children: [
			{
				id: 'BhAQiHogN',
				label: i18n.ts.makeFollowManuallyApprove,
				keywords: ['follow', 'lock', i18n.ts.lockedAccountInfo],
			},
			{
				id: '4DeWGsPaD',
				label: i18n.ts.autoAcceptFollowed,
				keywords: ['follow', 'auto', 'accept'],
			},
			{
				id: 'iaM6zUmO9',
				label: i18n.ts.makeReactionsPublic,
				keywords: ['reaction', 'public', i18n.ts.makeReactionsPublicDescription],
			},
			{
				id: '5Q6uhghzV',
				label: i18n.ts.followingVisibility,
				keywords: ['following', 'visibility'],
			},
			{
				id: 'pZ9q65FX5',
				label: i18n.ts.followersVisibility,
				keywords: ['follower', 'visibility'],
			},
			{
				id: 'DMS4yvAGg',
				label: i18n.ts.hideOnlineStatus,
				keywords: ['online', 'status', i18n.ts.hideOnlineStatusDescription],
			},
			{
				id: '8rEsGuN8w',
				label: i18n.ts.noCrawle,
				keywords: ['crawle', 'index', 'search', i18n.ts.noCrawleDescription],
			},
			{
				id: 's7LdSpiLn',
				label: 'Unnamed marker',
				keywords: ['index', 'search'],
			},
			{
				id: 'l2Wf1s2ad',
				label: i18n.ts.makeExplorable,
				keywords: ['explore', i18n.ts.makeExplorableDescription],
			},
			{
				id: '7vr04wKol',
				label: 'Unnamed marker',
				keywords: ['rss', 'feed'],
			},
			{
				id: '7FTF03G2z',
				label: i18n.ts.preventAiLearning,
				keywords: ['crawle', 'ai', i18n.ts.preventAiLearningDescription],
			},
			{
				id: '5RbESWefG',
				label: i18n.ts._chat.chatAllowedUsers,
				keywords: ['chat'],
			},
			{
				id: 'DKLuIeqx',
				children: [
					{
						id: '3EVdHrLZX',
						label: i18n.ts._accountSettings.requireSigninToViewContents,
						keywords: ['login', 'signin'],
					},
					{
						id: 'zh9WrjP2k',
						label: i18n.ts._accountSettings.makeNotesFollowersOnlyBefore,
						keywords: ['follower', i18n.ts._accountSettings.makeNotesFollowersOnlyBeforeDescription],
					},
					{
						id: 'iJYO9h9Ag',
						label: i18n.ts._accountSettings.makeNotesHiddenBefore,
						keywords: ['hidden', i18n.ts._accountSettings.makeNotesHiddenBeforeDescription],
					},
					{
						id: 'b8C256QuY',
						label: 'Unnamed marker',
						keywords: ['federate', 'auth', 'fetch'],
					},
					{
						id: '2NxwEzSGq',
						label: 'Unnamed marker',
						keywords: ['note', 'visib'],
					},
					{
						id: 'c1Ixl7H3p',
						label: 'Unnamed marker',
						keywords: ['keep', 'cw', 'content', 'warning'],
					},
				],
				label: i18n.ts.lockdown,
				keywords: ['lockdown'],
			},
		],
		label: i18n.ts.privacy,
		keywords: ['privacy', i18n.ts._settings.privacyBanner],
		path: '/settings/privacy',
		icon: 'ti ti-lock-open',
	},
	{
		id: '3yCAv0IsZ',
		children: [
			{
				id: 'AKvDrxSj5',
				children: [
					{
						id: 'a5b9RjEvq',
						label: i18n.ts.uiLanguage,
						keywords: ['language'],
					},
					{
						id: '9ragaff40',
						label: i18n.ts.overridedDeviceKind,
						keywords: ['device', 'type', 'kind', 'smartphone', 'tablet', 'desktop'],
					},
					{
						id: 'lfI3yMX9g',
						label: i18n.ts.showAvatarDecorations,
						keywords: ['avatar', 'icon', 'decoration', 'show'],
					},
					{
						id: '31Y4IcGEf',
						label: i18n.ts.alwaysConfirmFollow,
						keywords: ['follow', 'confirm', 'always'],
					},
					{
						id: '78q2asrLS',
						label: i18n.ts.highlightSensitiveMedia,
						keywords: ['highlight', 'sensitive', 'nsfw', 'image', 'photo', 'picture', 'media', 'thumbnail'],
					},
					{
						id: 'zydOfGYip',
						label: i18n.ts.confirmWhenRevealingSensitiveMedia,
						keywords: ['sensitive', 'nsfw', 'media', 'image', 'photo', 'picture', 'attachment', 'confirm'],
					},
					{
						id: 'wqpOC22Zm',
						label: i18n.ts.enableAdvancedMfm,
						keywords: ['mfm', 'enable', 'show', 'advanced'],
					},
					{
						id: 'c98gbF9c6',
						label: i18n.ts.enableInfiniteScroll,
						keywords: ['auto', 'load', 'auto', 'more', 'scroll'],
					},
					{
						id: '6ANRSOaNg',
						label: i18n.ts.emojiStyle,
						keywords: ['emoji', 'style', 'native', 'system', 'fluent', 'twemoji'],
					},
				],
				label: i18n.ts.general,
				keywords: ['general'],
			},
			{
				id: '5G6O6qdis',
				children: [
					{
						id: 'khT3n6byY',
						label: i18n.ts.showFixedPostForm,
						keywords: ['post', 'form', 'timeline'],
					},
					{
						id: 'q5ElfNSou',
						label: i18n.ts.showFixedPostFormInChannel,
						keywords: ['post', 'form', 'timeline', 'channel'],
					},
					{
						id: '3GcWIaZf8',
						label: i18n.ts.collapseRenotes,
						keywords: ['renote', i18n.ts.collapseRenotesDescription],
					},
					{
						id: 'd2H4E5ys6',
						label: i18n.ts.collapseNotesRepliedTo,
						keywords: ['collapse', 'repl'],
					},
					{
						id: 'jC7LtTnmc',
						label: i18n.ts.uncollapseCW,
						keywords: ['collapse', 'uncollapse', 'un-collapse', 'cw', 'content', 'warning'],
					},
					{
						id: '8xazEqlgZ',
						label: i18n.ts.expandLongNote,
						keywords: ['expand', 'long'],
					},
					{
						id: 'wZqrDQZar',
						label: i18n.ts.showGapBetweenNotesInTimeline,
						keywords: ['note', 'timeline', 'gap'],
					},
					{
						id: '3SBAYM8Fk',
						label: i18n.ts.disableStreamingTimeline,
						keywords: ['disable', 'streaming', 'timeline'],
					},
					{
						id: 'c8gA9Xj2a',
						label: i18n.ts.pinnedList,
						keywords: ['pinned', 'list'],
					},
					{
						id: 'EPZKN6QnP',
						label: 'Unnamed marker',
						keywords: ['show', 'ticker', 'replies'],
					},
					{
						id: 'ytLdRjQJt',
						label: i18n.ts.disableCatSpeak,
						keywords: ['cat', 'speak'],
					},
					{
						id: 'E9whefUtX',
						label: i18n.ts.searchEngine,
						keywords: ['search', 'engine'],
					},
					{
						id: '5w5vDx7Ce',
						label: 'Note Design',
						keywords: ['design', 'appear'],
					},
					{
						id: 'Cjn3VlODr',
						label: i18n.ts.showNoteActionsOnlyHover,
						keywords: ['hover', 'show', 'footer', 'action'],
					},
					{
						id: 'mNU5IBln7',
						label: i18n.ts.showClipButtonInNoteFooter,
						keywords: ['footer', 'action', 'clip', 'show'],
					},
					{
						id: '9dzRUAnoA',
						label: i18n.ts.showReactionsCount,
						keywords: ['reaction', 'count', 'show'],
					},
					{
						id: 'pnCPAvH28',
						label: i18n.ts.confirmOnReact,
						keywords: ['reaction', 'confirm'],
					},
					{
						id: 'clJ19wKxj',
						label: i18n.ts.loadRawImages,
						keywords: ['image', 'photo', 'picture', 'media', 'thumbnail', 'quality', 'raw', 'attachment'],
					},
					{
						id: 'lCl9y6Mzl',
						label: i18n.ts.useReactionPickerForContextMenu,
						keywords: ['reaction', 'picker', 'contextmenu', 'open'],
					},
					{
						id: 'iCEiAg4Wg',
						label: i18n.ts.reactionsDisplaySize,
						keywords: ['reaction', 'size', 'scale', 'display'],
					},
					{
						id: 'w8ZHZjkpU',
						label: i18n.ts.limitWidthOfReaction,
						keywords: ['reaction', 'size', 'scale', 'display', 'width', 'limit'],
					},
					{
						id: 'uItIge5hw',
						label: i18n.ts.mediaListWithOneImageAppearance,
						keywords: ['attachment', 'image', 'photo', 'picture', 'media', 'thumbnail', 'list', 'size', 'height'],
					},
					{
						id: '9WrGgANqN',
						label: i18n.ts.instanceTicker,
						keywords: ['ticker', 'information', 'label', 'instance', 'server', 'host', 'federation'],
					},
					{
						id: 'elfxSK59M',
						label: i18n.ts.displayOfSensitiveMedia,
						keywords: ['attachment', 'image', 'photo', 'picture', 'media', 'thumbnail', 'nsfw', 'sensitive', 'display', 'show', 'hide', 'visibility'],
					},
					{
						id: 'cIWkvfsDI',
						label: i18n.ts.numberOfReplies,
						keywords: ['number', 'replies'],
					},
				],
				label: i18n.ts._settings.timelineAndNote,
				keywords: ['timeline', 'note'],
			},
			{
				id: 'sQXSA6gik',
				children: [
					{
						id: 'nuD1oZWIH',
						label: i18n.ts.keepCw,
						keywords: ['remember', 'keep', 'note', 'cw'],
					},
					{
						id: 'AWLIP02IT',
						label: i18n.ts.rememberNoteVisibility,
						keywords: ['remember', 'keep', 'note', 'visibility'],
					},
					{
						id: 'i7rcbWAQu',
						label: i18n.ts.enableQuickAddMfmFunction,
						keywords: ['mfm', 'enable', 'show', 'advanced', 'picker', 'form', 'function', 'fn'],
					},
					{
						id: 'eq29FvSCV',
						label: i18n.ts.defaultNoteVisibility,
						keywords: ['default', 'note', 'visibility'],
					},
				],
				label: i18n.ts.postForm,
				keywords: ['post', 'form'],
			},
			{
				id: 'AUubYebwX',
				children: [
					{
						id: 'r9DX60AxL',
						label: i18n.ts.useGroupedNotifications,
						keywords: ['group'],
					},
					{
						id: 'sJ3fqncSD',
						label: i18n.ts.allowClickingNotifications,
						keywords: ['click'],
					},
					{
						id: 'tPNgvpPtU',
						label: i18n.ts.enableFaviconNotificationDot,
						keywords: ['favicon', 'dot'],
					},
					{
						id: 'zZxyXHk3A',
						label: i18n.ts.position,
						keywords: ['position'],
					},
					{
						id: 'mgOLivifP',
						label: i18n.ts.stackAxis,
						keywords: ['stack', 'axis', 'direction'],
					},
				],
				label: i18n.ts.notifications,
				keywords: ['notification'],
			},
			{
				id: 'hUQAXl1H4',
				children: [
					{
						id: '5fy7VEy6i',
						label: i18n.ts._settings._chat.showSenderName,
						keywords: ['show', 'sender', 'name'],
					},
					{
						id: '1rWDVig8Y',
						label: i18n.ts._settings._chat.sendOnEnter,
						keywords: ['send', 'enter', 'newline'],
					},
				],
				label: i18n.ts.chat,
				keywords: ['chat', 'messaging'],
			},
			{
				id: 'ABuYpLAir',
				children: [
					{
						id: 'geG5VMt7t',
						label: i18n.ts.reduceUiAnimation,
						keywords: ['animation', 'motion', 'reduce'],
					},
					{
						id: '3MWerz7dq',
						label: i18n.ts.disableShowingAnimatedImages,
						keywords: ['disable', 'animation', 'image', 'photo', 'picture', 'media', 'thumbnail', 'gif'],
					},
					{
						id: 'vTRSKf1JA',
						label: i18n.ts.enableAnimatedMfm,
						keywords: ['mfm', 'enable', 'show', 'animated'],
					},
					{
						id: 'dwhQfcLGt',
						label: i18n.ts.enableHorizontalSwipe,
						keywords: ['swipe', 'horizontal', 'tab'],
					},
					{
						id: '8TSh94nhc',
						label: i18n.ts.keepScreenOn,
						keywords: ['keep', 'screen', 'display', 'on'],
					},
					{
						id: 'hQqXhfNg8',
						label: i18n.ts.useNativeUIForVideoAudioPlayer,
						keywords: ['native', 'system', 'video', 'audio', 'player', 'media'],
					},
					{
						id: 'tLyCzu4wm',
						label: i18n.ts._settings.makeEveryTextElementsSelectable,
						keywords: ['text', 'selectable'],
					},
					{
						id: '4XreRJ4CP',
						label: i18n.ts.menuStyle,
						keywords: ['menu', 'style', 'popup', 'drawer'],
					},
					{
						id: 'tc4aYhzUE',
						label: i18n.ts._contextMenu.title,
						keywords: ['contextmenu', 'system', 'native'],
					},
					{
						id: 'dDlF652sv',
						label: i18n.ts.fontSize,
						keywords: ['font', 'size'],
					},
					{
						id: 'vCTonyyvb',
						label: i18n.ts.useSystemFont,
						keywords: ['font', 'system', 'native'],
					},
				],
				label: i18n.ts.accessibility,
				keywords: ['accessibility', i18n.ts._settings.accessibilityBanner],
			},
			{
				id: 'wcbJ9NtiH',
				children: [
					{
						id: 'inGIQqwha',
						label: i18n.ts.turnOffToImprovePerformance,
						keywords: ['blur'],
					},
					{
						id: '6BIxLzPJr',
						label: i18n.ts.turnOffToImprovePerformance,
						keywords: ['blur', 'modal'],
					},
					{
						id: 'uzdYiiO2h',
						label: i18n.ts.turnOffToImprovePerformance,
						keywords: ['sticky'],
					},
				],
				label: i18n.ts.performance,
				keywords: ['performance'],
			},
			{
				id: 'BoTQhCWS7',
				label: i18n.ts.dataSaver,
				keywords: ['datasaver'],
			},
			{
				id: 'smIdJSs3A',
				children: [
					{
						id: '2ZyL08EOn',
						label: i18n.ts.squareAvatars,
						keywords: ['avatar', 'icon', 'square'],
					},
					{
						id: 'DtxuhYytu',
						label: i18n.ts.seasonalScreenEffect,
						keywords: ['effect', 'show'],
					},
					{
						id: 'jSCm1QObK',
						label: i18n.ts.cornerRadius,
						keywords: ['corner', 'radius'],
					},
					{
						id: 'nOgdyisQQ',
						label: i18n.ts.warnForMissingAltText,
						keywords: ['warn', 'missing', 'alt', 'text'],
					},
					{
						id: '7kDqITQYf',
						label: i18n.ts.warnExternalUrl,
						keywords: ['warn', 'external', 'url'],
					},
					{
						id: '9wdivoAsY',
						label: i18n.ts.openImageInNewTab,
						keywords: ['image', 'photo', 'picture', 'media', 'thumbnail', 'new', 'tab'],
					},
					{
						id: '7KAOJKOze',
						label: i18n.ts.withRepliesByDefaultForNewlyFollowed,
						keywords: ['follow', 'replies'],
					},
					{
						id: '2gRqygbXk',
						label: i18n.ts.whenServerDisconnected,
						keywords: ['server', 'disconnect', 'reconnect', 'reload', 'streaming'],
					},
					{
						id: '9NLI3MITt',
						label: i18n.ts.numberOfPageCache,
						keywords: ['cache', 'page'],
					},
					{
						id: 'ELuU5RMvh',
						label: i18n.ts.showVisibilitySelectorOnBoost,
						keywords: ['boost', 'show', 'visib', 'selector'],
					},
					{
						id: '5ERe7IeW5',
						label: i18n.ts.visibilityOnBoost,
						keywords: ['boost', 'visib'],
					},
					{
						id: 'aKhYhZ7uC',
						label: i18n.ts.forceShowAds,
						keywords: ['ad', 'show'],
					},
					{
						id: '7bhYytrvD',
						label: 'Unnamed marker',
						keywords: ['oneko', 'cat'],
					},
					{
						id: '77kY90BX9',
						label: i18n.ts.hemisphere,
						keywords: [],
					},
					{
						id: 'qu9rCK0h3',
						label: i18n.ts.additionalEmojiDictionary,
						keywords: ['emoji', 'dictionary', 'additional', 'extra'],
					},
				],
				label: i18n.ts.other,
				keywords: ['other'],
			},
		],
		label: i18n.ts.preferences,
		keywords: ['general', 'preferences', i18n.ts._settings.preferencesBanner],
		path: '/settings/preferences',
		icon: 'ti ti-adjustments',
	},
	{
		id: 'mwkwtw83Y',
		label: i18n.ts.plugins,
		keywords: ['plugin', 'addon', 'extension', i18n.ts._settings.pluginBanner],
		path: '/settings/plugin',
		icon: 'ti ti-plug',
	},
	{
		id: 'F1uK9ssiY',
		children: [
			{
				id: 'E0ndmaP6Q',
				label: i18n.ts._role.policies,
				keywords: ['account', 'info'],
			},
			{
				id: 'r5SjfwZJc',
				label: i18n.ts.rolesAssignedToMe,
				keywords: ['roles'],
			},
			{
				id: 'cm7LrjgaW',
				label: i18n.ts.accountMigration,
				keywords: ['account', 'move', 'migration'],
			},
			{
				id: 'ozfqNviP3',
				label: 'Unnamed marker',
				keywords: ['account', 'export', 'data'],
			},
			{
				id: 'cC8DwTVqD',
				label: i18n.ts.closeAccount,
				keywords: ['account', 'close', 'delete', i18n.ts._accountDelete.requestAccountDelete],
			},
			{
				id: 'lIuve23iy',
				label: i18n.ts.experimentalFeatures,
				keywords: ['experimental', 'feature', 'flags'],
			},
			{
				id: 'fz6kQPuuP',
				label: i18n.ts.developer,
				keywords: ['developer', 'mode', 'debug'],
			},
		],
		label: i18n.ts.other,
		keywords: ['other'],
		path: '/settings/other',
		icon: 'ti ti-dots',
	},
	{
		id: '9bNikHWzQ',
		children: [
			{
				id: 't6XtfnRm9',
				label: i18n.ts._settings.showNavbarSubButtons,
				keywords: ['navbar', 'sidebar', 'toggle', 'button', 'sub'],
			},
		],
		label: i18n.ts.navbar,
		keywords: ['navbar', 'menu', 'sidebar'],
		path: '/settings/navbar',
		icon: 'ti ti-list',
	},
	{
		id: '3icEvyv2D',
		children: [
			{
				id: 'lO3uFTkPN',
				children: [
					{
						id: '5JKaXRqyt',
						label: i18n.ts.showMutedWord,
						keywords: ['show'],
					},
				],
				label: i18n.ts.wordMute,
				keywords: ['note', 'word', 'soft', 'mute', 'hide'],
			},
			{
				id: 'fMkjL3dK4',
				label: i18n.ts.hardWordMute,
				keywords: ['note', 'word', 'hard', 'mute', 'hide'],
			},
			{
				id: 'cimSzQXN0',
				label: i18n.ts.instanceMute,
				keywords: ['note', 'server', 'instance', 'host', 'federation', 'mute', 'hide'],
			},
			{
				id: 'gq8rPy3Du',
				label: `${i18n.ts.mutedUsers} (${ i18n.ts.renote })`,
				keywords: ['renote', 'mute', 'hide', 'user'],
			},
			{
				id: 'mh2r7EUbF',
				label: i18n.ts.mutedUsers,
				keywords: ['note', 'mute', 'hide', 'user'],
			},
			{
				id: 'AUS1OgHrn',
				label: i18n.ts.blockedUsers,
				keywords: ['block', 'user'],
			},
		],
		label: i18n.ts.muteAndBlock,
		keywords: ['mute', 'block', i18n.ts._settings.muteAndBlockBanner],
		path: '/settings/mute-block',
		icon: 'ti ti-ban',
	},
	{
		id: 'yR1OSyLiT',
		children: [
			{
				id: 'yMJzyzOUk',
				label: i18n.ts._emojiPalette.enableSyncBetweenDevicesForPalettes,
				keywords: ['sync', 'palettes', 'devices'],
			},
			{
				id: 'wCE09vgZr',
				label: i18n.ts._emojiPalette.paletteForMain,
				keywords: ['main', 'palette'],
			},
			{
				id: 'uCzRPrSNx',
				label: i18n.ts._emojiPalette.paletteForReaction,
				keywords: ['reaction', 'palette'],
			},
			{
				id: 'hgQr28WUk',
				label: 'Unnamed marker',
				keywords: ['emoji', 'default', 'like', 'react'],
			},
			{
				id: 'qV609056U',
				children: [
					{
						id: 'D0dA9U7vs',
						label: i18n.ts.size,
						keywords: ['emoji', 'picker', 'scale', 'size'],
					},
					{
						id: 'zPX8z1Bcy',
						label: i18n.ts.numberOfColumn,
						keywords: ['emoji', 'picker', 'width', 'column', 'size'],
					},
					{
						id: 'zyNSDjgta',
						label: i18n.ts.height,
						keywords: ['emoji', 'picker', 'height', 'size'],
					},
					{
						id: 'uk4qyhe1J',
						label: i18n.ts.style,
						keywords: ['emoji', 'picker', 'style'],
					},
				],
				label: i18n.ts.emojiPickerDisplay,
				keywords: ['emoji', 'picker', 'display'],
			},
		],
		label: i18n.ts.emojiPalette,
		keywords: ['emoji', 'palette'],
		path: '/settings/emoji-palette',
		icon: 'ti ti-mood-happy',
	},
	{
		id: '3Tcxw4Fwl',
		children: [
			{
				id: 'iIai9O65I',
				label: i18n.ts.emailAddress,
				keywords: ['email', 'address'],
			},
			{
				id: 'i6cC6oi0m',
				label: i18n.ts.receiveAnnouncementFromInstance,
				keywords: ['announcement', 'email'],
			},
		],
		label: i18n.ts.email,
		keywords: ['email'],
		path: '/settings/email',
		icon: 'ti ti-mail',
	},
	{
		id: 'tnYoppRiv',
		children: [
			{
				id: 'cN3dsGNxu',
				label: i18n.ts.usageAmount,
				keywords: ['capacity', 'usage'],
			},
			{
				id: 'rOAOU2P6C',
				label: i18n.ts.statistics,
				keywords: ['statistics', 'usage'],
			},
			{
				id: 'uXGlQXATx',
				label: i18n.ts.uploadFolder,
				keywords: ['default', 'upload', 'folder'],
			},
			{
				id: 'goQdtf3dD',
				label: i18n.ts.keepOriginalFilename,
				keywords: ['keep', 'original', 'filename', i18n.ts.keepOriginalFilenameDescription],
			},
			{
				id: '83xRo0XJl',
				label: i18n.ts.alwaysMarkSensitive,
				keywords: ['always', 'default', 'mark', 'nsfw', 'sensitive', 'media', 'file'],
			},
		],
		label: i18n.ts.drive,
		keywords: ['drive', i18n.ts._settings.driveBanner],
		path: '/settings/drive',
		icon: 'ti ti-cloud',
	},
	{
		id: 'FfZdOs8y',
		children: [
			{
				id: 'B1ZU6Ur54',
				label: i18n.ts._deck.enableSyncBetweenDevicesForProfiles,
				keywords: ['sync', 'profiles', 'devices'],
			},
			{
				id: 'wWH4pxMQN',
				label: i18n.ts._deck.useSimpleUiForNonRootPages,
				keywords: ['ui', 'root', 'page'],
			},
			{
				id: '3LR509BvD',
				label: i18n.ts.defaultNavigationBehaviour,
				keywords: ['default', 'navigation', 'behaviour', 'window'],
			},
			{
				id: 'ybU8RLXgm',
				label: i18n.ts._deck.alwaysShowMainColumn,
				keywords: ['always', 'show', 'main', 'column'],
			},
			{
				id: 'xRasZyAVl',
				label: i18n.ts._deck.columnAlign,
				keywords: ['column', 'align'],
			},
			{
				id: '6qcyPd0oJ',
				label: i18n.ts._deck.deckMenuPosition,
				keywords: ['menu', 'position'],
			},
			{
				id: '4zk2Now4S',
				label: i18n.ts._deck.navbarPosition,
				keywords: ['navbar', 'position'],
			},
			{
				id: 'CGNtJ2I3n',
				label: i18n.ts._deck.columnGap,
				keywords: ['column', 'gap', 'margin'],
			},
			{
				id: 'rxPDMo7bE',
				label: i18n.ts.setWallpaper,
				keywords: ['wallpaper'],
			},
		],
		label: i18n.ts.deck,
		keywords: ['deck', 'ui'],
		path: '/settings/deck',
		icon: 'ti ti-columns',
	},
	{
		id: 'BlJ2rsw9h',
		children: [
			{
				id: '9bLU1nIjt',
				label: i18n.ts._settings.api,
				keywords: ['api', 'app', 'token', 'accessToken'],
			},
			{
				id: '5VSGOVYR0',
				label: i18n.ts._settings.webhook,
				keywords: ['webhook'],
			},
		],
		label: i18n.ts._settings.serviceConnection,
		keywords: ['app', 'service', 'connect', 'webhook', 'api', 'token', i18n.ts._settings.serviceConnectionBanner],
		path: '/settings/connect',
		icon: 'ti ti-link',
	},
	{
		id: 'gtaOSdIJB',
		label: i18n.ts.avatarDecorations,
		keywords: ['avatar', 'icon', 'decoration'],
		path: '/settings/avatar-decoration',
		icon: 'ti ti-sparkles',
	},
	{
		id: 'zK6posor9',
		label: i18n.ts.accounts,
		keywords: ['accounts'],
		path: '/settings/accounts',
		icon: 'ti ti-users',
	},
	{
		id: '330Q4mf8E',
		children: [
			{
				id: 'eGSjUDIKu',
				label: i18n.ts._exportOrImport.allNotes,
				keywords: ['notes', 'export'],
			},
			{
				id: 'iMDgUVgRu',
				label: i18n.ts.import,
				keywords: ['notes', 'import'],
			},
			{
				id: '9493i82kM',
				label: i18n.ts._exportOrImport.favoritedNotes,
				keywords: ['favorite', 'notes'],
			},
			{
				id: 'npdSCZwah',
				label: i18n.ts._exportOrImport.clips,
				keywords: ['clip', 'notes'],
			},
			{
				id: 'Dtgf6oVFr',
				label: i18n.ts._exportOrImport.followingList,
				keywords: ['following', 'users'],
			},
			{
				id: 'vT3OWtyqH',
				label: i18n.ts._exportOrImport.userLists,
				keywords: ['user', 'lists'],
			},
			{
				id: 'uwWmLKCFs',
				label: i18n.ts._exportOrImport.muteList,
				keywords: ['mute', 'users'],
			},
			{
				id: '8PirPoHJs',
				label: i18n.ts._exportOrImport.blockingList,
				keywords: ['block', 'users'],
			},
			{
				id: 'RwyBXyoY',
				label: i18n.ts.antennas,
				keywords: ['antennas'],
			},
		],
		label: i18n.ts._settings.accountData,
		keywords: ['import', 'export', 'data', 'archive', i18n.ts._settings.accountDataBanner],
		path: '/settings/account-data',
		icon: 'ti ti-package',
	},
] as const;

export type SearchIndex = typeof searchIndexes;
